# getUserProvidedValue abstract method

dynamic getUserProvidedValue(

1. String fieldName

)

Gets the user-provided value of a field.

Parameters:

- `fieldName`: The field name to retrieve

Returns:

- The explicitly configured value
- `null` if using the default

See also:

- hasUserProvidedValue to check for explicit values

## Implementation

    dynamic getUserProvidedValue(String fieldName);